    Program d05byfe

!     D05BYF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: d05byf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: iorder = 4, iq = 3
      Integer, Parameter               :: itiq = 2**(iq+1)
      Integer, Parameter               :: itpmt = 2*iorder - 1
      Integer, Parameter               :: ldsw = itiq + itpmt
      Integer, Parameter               :: lenfw = 2*itiq
      Integer, Parameter               :: lwk = 4*itiq
      Integer, Parameter               :: nout = 6
!     .. Local Scalars ..
      Integer                          :: i, ifail
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: sw(ldsw,itpmt), work(lwk), wt(lenfw)
!     .. Executable Statements ..
      Write (nout,*) 'D05BYF Example Program Results'

      ifail = 0
      Call d05byf(iorder,iq,lenfw,wt,sw,ldsw,work,lwk,ifail)

      Write (nout,*)
      Write (nout,*) 'Fractional convolution weights'
      Write (nout,*)

      Do i = 1, itiq
        Write (nout,99999) i - 1, wt(i)
      End Do

      Write (nout,*)
      Write (nout,*) 'Fractional starting weights'
      Write (nout,*)

      Do i = 1, ldsw
        Write (nout,99999) i - 1, sw(i,1:itpmt)
      End Do

99999 Format (1X,I5,7F9.4)
    End Program d05byfe
